import './messages-4c34bad5.js';
import './locales-8cef3d6b.js';
import { T as TranslateFunction } from './translateFunction-4b6969ee.js';
import { I as IntlController } from './config-2bbeba61.js';
import '@formatjs/intl';
import '@formatjs/icu-messageformat-parser';
import 'vue';
import '@braw/extended-intl';
import 'intl-messageformat';
import './sources-02c94682.js';
import './ErrorEvent-9311131b.js';
import './intl-0143b193.js';
import '@braw/async-computed';

/**
 * Creates a {@link TranslateFunction} that utilises the provided
 * {@link IntlController}.
 *
 * @param controller Controller to use for translations.
 * @returns Function to use translations from the controller.
 */
declare function createTranslateFunction<ControllerType>(controller: IntlController<ControllerType>): TranslateFunction;

export { TranslateFunction, createTranslateFunction };
